## org.eclipse.jst.pagedesigner.dtmanager.converter
Interface ITransformOperation

All Known Implementing Classes:
  AbstractTransformOperation

    public interface ITransformOperation

Defines an operation used during transformation of input Element instances to output Element instances.

Provisional API - subject to change

Method Summary
`void` `appendChildOperation(ITransformOperation operation)` Appends a child ITransformOperation instance.
`java.util.List` `getChildOperations()` Gets collection of child ITransformOperation instances.
`void` `setTagConverterContext(ITagConverterContext tagConverterContext)` Sets the ITagConverterContext instance allowing access to context and functionality of the current ITagConverter instance.
`org.w3c.dom.Element` `transform(org.w3c.dom.Element srcElement, org.w3c.dom.Element curElement)` Transforms an input element instance to an output Element instance.

Method Detail

### transform

    org.w3c.dom.Element transform(org.w3c.dom.Element srcElement,
                                  org.w3c.dom.Element curElement)

  Transforms an input element instance to an output Element instance.

  Parameters:
    `srcElement` - Original input Element instance.
    `curElement` - Current Element instance.
  Returns:
    Resulting transformed Element instance.

### setTagConverterContext

    void setTagConverterContext(ITagConverterContext tagConverterContext)

  Sets the ITagConverterContext instance allowing access to context and functionality of the current ITagConverter instance.

  Parameters:
    `tagConverterContext` - ITagConverterContext instance allowing access to context and functionality of the current ITagConverter instance.

### appendChildOperation

    void appendChildOperation(ITransformOperation operation)

  Appends a child ITransformOperation instance.

  Parameters:
    `operation` - Child ITransformOperation instance to be appended.

### getChildOperations

    java.util.List getChildOperations()

  Gets collection of child ITransformOperation instances.

  Returns:
    Collection of child ITransformOperation instances (may be null).